/* include header files */

#include <stdio.h>       // printf
#include <stdlib.h>      // exit
#include <unistd.h>      // sleep, getpid, fork
#include <sys/types.h>   // getpid, fork

/* main function */

int main(){         

  if (fork() == 0) { 

  /* child section */
    
    printf("Child: I soon become zombie... ");
     printf("Try the 'kill' command on me! My PID is %d\n",getpid());
     exit(7);
  
  }

  /* parent section */

  printf("Parent: sleeping 100 sec\n");

  sleep(100);

  printf("Parent: End\n");
  
  return 0;
}

